Skip to main content
POST
/
v1
/
agents
/
{agentId}
/
conversations
/
{conversationId}
/
annotation
Add annotations to a conversation
curl --request POST \
  --url https://api.us.poly.ai/v1/agents/{agentId}/conversations/{conversationId}/annotation \
  --header 'Content-Type: application/json' \
  --header 'X-API-KEY: <api-key>' \
  --data '
{
  "annotations": [
    {
      "turnId": 123
    }
  ]
}
'
{
  "success": true
}

Authorizations

X-API-KEY
string
header
required

Path Parameters

agentId
string
required
conversationId
string
required

Body

application/json

Request body for adding annotations to a conversation.

annotations
object[]
required
Minimum array length: 1

Response

Successful response

Minimal success payload for mutation endpoints.

success
boolean
default:true
Last modified on June 4, 2026